Skip to main content

getrawmempool

POST

Returns all transactions waiting in the memory pool.Set verbose to true to return an object keyed by transaction id with detailed mempool data.When verbose is false and mempool_sequence is set to true,the list of transaction ids is returned together with the mempool sequence number.
param[0]
verbosebooleanrequired
Whether to return a detailed object. When false, an array of transaction ids is returned.
param[1]
mempoolSequencebooleanrequired
Whether to return the mempool sequence number.It can be used only when verbose is false.
Responses
resultoneOf
The list of transactions in the mempool. The response format depends on the request parameters.
  • When verbose is false: an array of transaction ids
  • When verbose is false and mempool_sequence is true: an object containing txids and mempool_sequence
  • When verbose is true: an object keyed by transaction id with detailed data
An array of transaction ids. Returned when verbose is false.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getrawmempool",
"params": [
false,
false
]
}'